/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.util;

public class BuildVCardEmail
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private boolean home_email = false;
  private boolean work_email = false;
  private boolean internet_email = false;
  private boolean x400_email = false;
  private boolean preferred = false;
  private String address = null;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public BuildVCardEmail()
  { // do nothing
  } // end constructor

  /*--------------------------------------------------------------------------------
   * Public getters/setters
   *--------------------------------------------------------------------------------
   */

  public final boolean isHomeEmail()
  {
    return home_email;

  } // end isHomeEmail

  public final void setHomeEmail(boolean f)
  {
    home_email = f;

  } // end setHomeEmail

  public final boolean isWorkEmail()
  {
    return work_email;

  } // end isHomeEmail

  public final void setWorkEmail(boolean f)
  {
    work_email = f;

  } // end setWorkEmail

  public final boolean isInternetEmail()
  {
    return internet_email;

  } // end isInternetEmail

  public final void setInternetEmail(boolean f)
  {
    internet_email = f;

  } // end setInternetEmail

  public final boolean isX400Email()
  {
    return x400_email;

  } // end isX400Email

  public final void setX400Email(boolean f)
  {
    x400_email = f;

  } // end setX400Email

  public final boolean isPreferred()
  {
    return preferred;

  } // end isPreferred

  public final void setPreferred(boolean f)
  {
    preferred = f;

  } // end setPreferred

  public final String getAddress()
  {
    return address;

  } // end getAddress

  public final void setAddress(String s)
  {
    address = s;

  } // end setAddress

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public void reset()
  {
    home_email = false;
    work_email = false;
    internet_email = false;
    x400_email = false;
    preferred = false;
    address = null;

  } // end reset

  public VCardEmail create()
  {
    return new VCardEmail(home_email,work_email,internet_email,x400_email,preferred,address);

  } // end create

} // end class BuildVCardEmail
